<?php

namespace WPRuby_CAA\Core\Helpers;

class Helper {

	public static function get_user_ip()
	{

		if ( ! empty( $_SERVER['HTTP_CLIENT_IP'] ) ) {
			//check ip from share internet
			$ip = $_SERVER['HTTP_CLIENT_IP'];
		} elseif ( ! empty( $_SERVER['HTTP_X_FORWARDED_FOR'] ) ) {
			//to check ip is pass from proxy
			$ip = $_SERVER['HTTP_X_FORWARDED_FOR'];
		} else {
			$ip = $_SERVER['REMOTE_ADDR'];
		}

		return apply_filters( 'wpb_get_ip', $ip );

	}

	/**
	 * @return string
	 */
	public static function date_time_format()
	{
		return sprintf('%s %s', get_option('date_format'), get_option('time_format'));
	}

	public static function block_access()
	{
		wp_die(__('You do not have a permission to access this page. <a href="javascript:history.back();">Go Back</a>'),'controlled-admin-access');
	}

	public static function block_inactive_account()
	{
		wp_die(__('Your account has been disabled.'),'controlled-admin-access');
	}

	public static function block_expired_account()
	{
		wp_die(__('Your account has been expired.'),'controlled-admin-access');
	}

}
